using System;
using Eclipse.TRCore.Http;

namespace Eclipse.TRCore.Travians.Actions
{
    public class LoginAction : TravianAction<LoginActionInput, object>
    {
        public override void DoAction()
        {
            IEClient client = new IEClient();
            this.ActionResult.RawHtml = client.GetResponseString(this.Input.PostLoginUrl, this.Input.HttpPostArguments);

        }
    }
    public class LoginActionInput
    {
        public string PostLoginUrl;
        public HttpPostArguments HttpPostArguments = new HttpPostArguments();
    }
}
